Frequently Asked Questions

Why is ESP 2 is not working on Mac 10.6

As of ESP2 we only support Mac versions 10.7 and above. ESP1 however will still receive updates as usual. You can either do a free upgrade to 10.7 or try ESP2 on some other machine as we do allow multiple installations.


 Last updated Thu, Dec 18 2014 12:00am

Please Wait!

Please wait... it will take a second!